GrailsApplicationPostProcessor (Grails 6.0.0)

Package: grails.boot.config

## [Groovy] Class GrailsApplicationPostProcessor

- grails.boot.config.GrailsApplicationPostProcessor

- All Implemented Interfaces and Traits:
    org.springframework.beans.factory.support.BeanDefinitionRegistryPostProcessor, org.springframework.context.ApplicationContextAware, org.springframework.context.ApplicationListener<org.springframework.context.event.ApplicationContextEvent>

      @groovy.transform.CompileStatic
      @groovy.util.logging.Slf4j
      class GrailsApplicationPostProcessor
      extends java.lang.Object
      implements org.springframework.beans.factory.support.BeanDefinitionRegistryPostProcessor, org.springframework.context.ApplicationContextAware, org.springframework.context.ApplicationListener<org.springframework.context.event.ApplicationContextEvent>

  A org.springframework.beans.factory.support.BeanDefinitionRegistryPostProcessor that enhances any ApplicationContext with plugin manager capabilities

  Authors:
    Graeme Rocher
  Since:
    3.0

- - ### Nested Class Summary

    Nested classes
    Modifiers | Name | Description
    --- | --- | ---
    `class` | `GrailsApplicationPostProcessor.1` |
    `class` | `GrailsApplicationPostProcessor.2` |
    `class` | `GrailsApplicationPostProcessor.3` |

  - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private static boolean` | `RELOADING_ENABLED` |
    `private GrailsApplicationClass` | `applicationClass` |
    `protected org.springframework.context.ApplicationContext` | `applicationContext` |
    `private java.lang.Class[]` | `classes` |
    `private GrailsApplication` | `grailsApplication` |
    `private GrailsApplicationLifeCycle` | `lifeCycle` |
    `private boolean` | `loadExternalBeans` |
    `protected GrailsPluginManager` | `pluginManager` |
    `private boolean` | `reloadingEnabled` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `static boolean` | `RELOADING_ENABLED`
    `GrailsApplicationClass` | `applicationClass`
    `java.lang.Class[]` | `classes`
    `GrailsApplication` | `grailsApplication`
    `GrailsApplicationLifeCycle` | `lifeCycle`
    `boolean` | `loadExternalBeans`
    `boolean` | `reloadingEnabled`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `GrailsApplicationPostProcessor (GrailsApplicationLifeCycle lifeCycle, org.springframework.context.ApplicationContext applicationContext, java.lang.Class[] classes)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected void` | `customizeGrailsApplication(GrailsApplication grailsApplication)`
    `` | `protected void` | `customizePluginManager(GrailsPluginManager grailsApplication)`
    `` | `protected final void` | `initializeGrailsApplication(org.springframework.context.ApplicationContext applicationContext)`
    `` | `protected void` | `loadApplicationConfig()`
    `` | `void` | `onApplicationEvent(org.springframework.context.event.ApplicationContextEvent event)`
    `` | `protected void` | `performGrailsInitializationSequence()`
    `` | `void` | `postProcessBeanDefinitionRegistry(org.springframework.beans.factory.support.BeanDefinitionRegistry registry)`
    `` | `void` | `postProcessBeanFactory(org.springframework.beans.factory.config.ConfigurableListableBeanFactory beanFactory)`
    `` | `void` | `setApplicationContext(org.springframework.context.ApplicationContext applicationContext)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### private static final boolean RELOADING_ENABLED

    - #### private final GrailsApplicationClass applicationClass

    - #### protected org.springframework.context.ApplicationContext applicationContext

    - #### private final java.lang.Class[] classes

    - #### private final GrailsApplication grailsApplication

    - #### private final GrailsApplicationLifeCycle lifeCycle

    - #### private boolean loadExternalBeans

    - #### protected final GrailsPluginManager pluginManager

    - #### private boolean reloadingEnabled

  - ### Property Detail

    - #### static final boolean RELOADING_ENABLED

    - #### final GrailsApplicationClass applicationClass

    - #### final java.lang.Class[] classes

    - #### final GrailsApplication grailsApplication

    - #### final GrailsApplicationLifeCycle lifeCycle

    - #### boolean loadExternalBeans

    - #### boolean reloadingEnabled

  - ### Constructor Detail

    - #### GrailsApplicationPostProcessor(GrailsApplicationLifeCycle lifeCycle, org.springframework.context.ApplicationContext applicationContext, java.lang.Class[] classes)

  - ### Method Detail

    - #### protected void customizeGrailsApplication(GrailsApplication grailsApplication)

    - #### protected void customizePluginManager(GrailsPluginManager grailsApplication)

    - #### protected final void initializeGrailsApplication(org.springframework.context.ApplicationContext applicationContext)

    - #### protected void loadApplicationConfig()

    - #### @java.lang.Override void onApplicationEvent(org.springframework.context.event.ApplicationContextEvent event)

    - #### protected void performGrailsInitializationSequence()

    - #### @java.lang.Override void postProcessBeanDefinitionRegistry(org.springframework.beans.factory.support.BeanDefinitionRegistry registry)

    - #### @java.lang.Override void postProcessBeanFactory(org.springframework.beans.factory.config.ConfigurableListableBeanFactory beanFactory)

    - #### @java.lang.Override void setApplicationContext(org.springframework.context.ApplicationContext applicationContext)